#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "c_sesame_shared.h"

void	strip_lf(char *in)
{
char *cp;

	cp = in;
	while(*cp != '\0')
	{
		if((*cp == 10) || (*cp == 13))
		{
			*cp = '\0';
		}
		cp++;
	}	
}

int	main()
{
int rs;
int flag;
int loop;
char *out;
char linebuf[1024];
char criteria[256];
int key;
char *connect;
char *app_path;

	// *** CHANGE THE VALUES BELOW TO MATCH YOUR SYSTEM ***
	connect = "your_server";								// Your Sesame Server name (and ports if needed)
	app_path = "Utilities\\Lantica\\SesameAPI\\sample_data\\Customers.db";			// Path to Customers.db
		
	flag = SesameConnect(connect);						 		// Connect to Sesame Server
	if(flag > 0)
	{
		while(fgets(linebuf, 1024, stdin))
		{
			key = atoi(linebuf);
			sprintf(criteria, "!Key=%d", key);
			rs = SesameSearch(app_path, "Customers", 0, 2, criteria, "", "");	// Get the matching Sesame record
			if(rs > -1)								// Make sure search succeeded
			{
				if(SesameTotal(rs) > 0)						// Make sure we found a matching record
				{
					out = SesameGetValue(rs, "Phone");			// Get Phone from the Sesame record
					if(out != NULL)
					{
						strip_lf(linebuf);
						printf("%s,\"%s\"\n", linebuf, out);
						free(out);
					}
				}
				SesameClose(rs);						// Close result set
			}
		}
		SesameDisconnect();								// Disconnect from the Sesame Server
		fprintf(stderr, "Finished updating file from Sesame.\n");
	}
	else
	{
		fprintf(stderr, "Failed to connect to Sesame server.\n");
	}
	return(0);
}
